﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Dynamic;
using System.Net;
using System.Text;

namespace GpsNose.SDK.Framework
{
    public static class GnUtility
    {
        public static string GetQueryStringFromKeyVals(string url, IEnumerable<KeyValuePair<string, string>> keyVals)
        {
            if (url == null)
                throw new ArgumentNullException(nameof(url));

            if (keyVals == null)
                throw new ArgumentNullException(nameof(keyVals));

            var anchorIndex = url.IndexOf('#');
            var resultUri = url;
            var anchorText = "";
            if (anchorIndex != -1)
            {
                anchorText = url.Substring(anchorIndex);
                resultUri = url.Substring(0, anchorIndex);
            }

            var queryIndex = resultUri.IndexOf('?');
            var hasQuery = queryIndex != -1;

            var sb = new StringBuilder();
            sb.Append(resultUri);
            foreach (var keyVal in keyVals)
            {
                sb.Append(hasQuery ? '&' : '?');
                sb.Append(WebUtility.UrlEncode(keyVal.Key));
                sb.Append('=');
                sb.Append(WebUtility.UrlEncode(keyVal.Value));
                hasQuery = true;
            }

            sb.Append(anchorText);

            return sb.ToString();
        }


        public static dynamic ToExpando(this object obj)
        {
            var expando = new ExpandoObject() as IDictionary<string, object>;

            if (obj != null)
                foreach (PropertyDescriptor property in TypeDescriptor.GetProperties(obj.GetType()))
                    expando.Add(property.Name, property.GetValue(obj));

            return (ExpandoObject)expando;
        }
    }
}
