﻿using System;
using System.Threading;

namespace GpsNose.SDK.Mashup.Framework
{
    /// <summary>
    /// Internal GpsNose SDK settings.
    /// </summary>
    public class GnSettings
    {
        public const string PUBLIC_COMMUNITY_PREFIX = "%";
        public const string CLOSED_COMMUNITY_PREFIX = "@";
        public const string PRIVATE_COMMUNITY_PREFIX = "*";

        public const long FAR_FUTURE_TICKS = 3155378975999999999; //DateTime.MaxValue.Ticks;

        public const string GPSNOSE_COMMUNITY = "%www.gpsnose.com";

        public static bool IsSuperNoseMachine
        {
            get
            {
                string s = Environment.GetEnvironmentVariable("Gn_IsSuperNoseMachine");
                if (string.IsNullOrWhiteSpace(s))
                    return false;

                return bool.Parse(s);
            }
        }

        public static string CurrentLangId => Thread.CurrentThread.CurrentUICulture.TwoLetterISOLanguageName.ToLower();

    }
}
