﻿using System;
using System.Web;
using System.Web.Security;
using GpsNose.SDK.Framework.Json;
using GpsNose.SDK.Mashup.Model;

namespace GpsNose.SDK.Web.NetFramework.Login
{
    public class GnAuthentication
    {
        public static bool IsAuthenticatedRequest =>
            HttpContext.Current?.User?.Identity?.IsAuthenticated == true &&
            HttpContext.Current.User is GnAuthenticationData;

        public static GnAuthenticationData CurrentUser => IsAuthenticatedRequest ? HttpContext.Current.User as GnAuthenticationData : null;


        public static void Logout()
        {
            FormsAuthentication.SignOut();
        }


        public static HttpCookie GenerateAuthenticationCookie(GnLogin gnLogin, string loginId, int ttlMinutes, bool isPersistent)
        {
            // ..create the ticket
            var authData = new GnAuthenticationData(gnLogin, loginId);
            var ser = new JsonTool();
            string authPayload = ser.SerializeToString(authData);

            FormsAuthenticationTicket ticket = new FormsAuthenticationTicket(1,
                gnLogin.LoginName,
                DateTime.Now,
                DateTime.Now.AddMinutes(30),
                false,
                authPayload,
                FormsAuthentication.FormsCookiePath);

            // set ticket as cookie
            string encTicket = FormsAuthentication.Encrypt(ticket);
            var cookie = new HttpCookie(FormsAuthentication.FormsCookieName, encTicket);

            return cookie;
        }
    }
}
