﻿using System.Security.Principal;
using GpsNose.SDK.Mashup.Model;
using Newtonsoft.Json;

namespace GpsNose.SDK.Web.NetFramework.Login
{
    public class GnAuthenticationData : IPrincipal
    {
        [JsonIgnore]
        public IIdentity Identity { get; }

        public string LoginId { get; }
        public GnLogin GnLogin { get; }


        public bool IsInRole(string role)
        {
            return GnLogin.Communities.Contains(role);
        }


        public GnAuthenticationData(GnLogin gnLogin, string loginId)
        {
            GnLogin = gnLogin;
            LoginId = loginId;
            Identity = new GenericIdentity(gnLogin.LoginName);
        }

    }
}