﻿using System.Collections.Generic;
using System.Security.Principal;

namespace GpsNose.SDK.Web.NetFramework.Login
{
    public class GnPrincipal : IPrincipal
    {
        public IIdentity Identity { get; }

        public string LoginName { get; set; }
        public string LoginId { get; set; }
        public List<string> ProfileTags { get; set; }


        public bool IsInRole(string role)
        {
            return ProfileTags.Contains(role);
        }

        
        public GnPrincipal(GnAuthenticationData gnAuthData)
        {
            LoginName = gnAuthData.GnLogin.LoginName;
            LoginId = gnAuthData.LoginId;
            ProfileTags = gnAuthData.GnLogin?.Communities ?? new List<string>();

            Identity = new GenericIdentity(LoginName);
        }

    }
}