﻿
@model dynamic

@using GpsNose.SDK.Mashup
@using GpsNose.SDK.Mashup.Model
@using $rootnamespace$.Models.GpsNoseController


<div class="ma-gpsnose" data-gn-version="1.0.10">

    <div id="ma-gpsnose-145e3c83-d33d-4124-addd-d7a233705ca3" class="ma-gpsnose-comment" data-bind="visible:true" style="display:none;">

        <div class="btn-group btn-group-xs ma-btn-group">
            <a class="btn btn-default btn-outline-secondary" data-external data-bind="html: Entity.DisplayName(), attr: { href: Entity.DetailUrl() }"></a>
            <a class="btn btn-primary" tabindex="0" data-bind="text: GetLangRes('Common_btnJoinCommunity', 'Join community'), attr: { 'data-popover-img': gn_data.Community.QrCodeJoinImage, 'data-popover-text': GetLangRes('Common_lblScanToJoin', 'To join the community, scan this QR code using your mobile GpsNose app please'), 'data-remove': ! gn_data.Community.QrCodeJoinImage }"></a>
        </div>

        <ma-gpsnose-comments params="uniqueKey: gn_data.Community.TagName,
                    entity: vm ? vm.Entity : {},
                    imagePath: gn_data.Settings.ImagePath,
                    hideTitle: true,
                    commentPageUrl: gn_data.Settings.CommentPageUrl,
                    commentSaveUrl: gn_data.Settings.CommentSaveUrl,
                    loginUrl: gn_data.Settings.LoginUrl,
                    comments: gn_data.Community.Comments,
                    loginName: gn_data.User.LoginName,
                    isActivated: gn_data.User.IsActivated,
                    onChangeComments: ma_gpsnose_change"></ma-gpsnose-comments>

        <ma-gpsnose-dialog></ma-gpsnose-dialog>

    </div>

</div>

<script>
var MA_GPSNOSE_IS_MASHUP = true;
var vm;
$(document).ready(function() {
    if (! gn_data.User) gn_data.User = {};
    vm = new CommunityDetailViewModel(gn_data.Community, gn_data.User);
    ko.applyBindings(vm, $('#ma-gpsnose-145e3c83-d33d-4124-addd-d7a233705ca3').get(0));
});
function ma_gpsnose_change(container) {
    $(container).imagesLoaded(function() {
        setTimeout(function() { MasonryReload(); }, 250);
    });
}
</script>

<script type="text/javascript">

	var gn_data = {
		"Settings" :
		{
			ImagePath: "@Html.Raw(GnLocalSettings.GnImagesPath)",
			BaseUrl: "@Html.Raw(GnPaths.HomeUrl)",
			BaseDataUrl: "@Html.Raw(GnPaths.DataUrl)",
			LoginUrl: "@Html.Raw(Url.Action("Login", "GpsNose"))"
		}	
	};

    gn_data.User = @Html.Raw(GpsNose.SDK.Framework.Json.JsonTool.QuickJson(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.GnLogin));
    gn_data.Settings.LoginId = "@(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.LoginId)";

    @{
        if (@ViewBag.CommunityJson != null)
        {
            @:gn_data.Community = @ViewBag.CommunityJson;
        }
    }

</script>


<script type="text/javascript">

	gn_data.Settings.CommentPageUrl = "@Html.Raw(Url.Action("PageComments", "GpsNose"))";
	gn_data.Settings.CommentSaveUrl = "@Html.Raw(Url.Action("SaveComment", "GpsNose"))";

</script>
