﻿
@model LoginModel

@using GpsNose.SDK.Mashup
@using GpsNose.SDK.Mashup.Model
@using $rootnamespace$.Models.GpsNoseController


<div class="ma-gpsnose" data-gn-version="1.0.10">

    <div id="ma-gpsnose-e18e8ef6-5429-439f-9167-32be74cf335d" class="ma-gpsnose-login" data-bind="visible:true" style="display:none;">

        <div class="row">
            <div class="col-md-3">
                <div class="alert alert-info">
                    <h4>
                        <i class="glyphicon glyphicon-info-sign fas fa-info-circle"></i>
                        <span data-bind="text: ' ' + GetLangRes('Account_Login_lblTitle', 'Login')"></span>
                    </h4>
                    <span data-bind="text: GetLangRes('Account_Login_lblLoginText', 'To login, scan this QR code using your mobile GpsNose app please')"></span>
                </div>
            </div>
            <div class="col-md-6 text-center">

                <img class="ma-qrcode-image" data-bind="attr: { src: gn_data.Settings.QrCodeImage }, visible: gn_data.Settings.QrCodeImage" />

                <div class="alert alert-danger" data-bind="visible: ! gn_data.Settings.QrCodeImage">
                    <i class="glyphicon glyphicon-info-sign fas fa-info-circle"></i>
                    <span data-bind="text: ' ' + GetLangRes('Common_lblUnknownError', 'An unknown error is occured!')"></span>
                </div>

            </div>
            <div class="col-md-3"></div>
        </div>

        <br />
        <ma-gpsnose-footer params="hideCopyright:true, hideSupportMail:true, imagePath:gn_data.Settings.ImagePath"></ma-gpsnose-footer>

    </div>

</div>

<script>
var MA_GPSNOSE_IS_MASHUP = true;
$(document).ready(function() {
    if (! gn_data.User) gn_data.User = {};
    ko.applyBindings(new BaseViewModel(), $('#ma-gpsnose-e18e8ef6-5429-439f-9167-32be74cf335d').get(0));
    window.setTimeout(function() { MaWaitForLogin(gn_data.Settings.LoginVerifyUrl, gn_data.Settings.ReturnUrl); }, 3500);
});
</script>

<script type="text/javascript">

	var gn_data = {
		"Settings" :
		{
			ImagePath: "@Html.Raw(GnLocalSettings.GnImagesPath)",
			BaseUrl: "@Html.Raw(GnPaths.HomeUrl)",
			BaseDataUrl: "@Html.Raw(GnPaths.DataUrl)",
			LoginUrl: "@Html.Raw(Url.Action("Login", "GpsNose"))"
		}	
	};

    gn_data.User = @Html.Raw(GpsNose.SDK.Framework.Json.JsonTool.QuickJson(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.GnLogin));
    gn_data.Settings.LoginId = "@(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.LoginId)";

    @{
        if (@ViewBag.CommunityJson != null)
        {
            @:gn_data.Community = @ViewBag.CommunityJson;
        }
    }

</script>


<script type="text/javascript">

	gn_data.Settings.LoginVerifyUrl = "@Html.Raw(Url.Action("Login", "GpsNose", new
	{ 
		loginId = Model.LoginId,
		returnUrl = Request["ReturnUrl"] ?? FormsAuthentication.DefaultUrl
	}))";
	gn_data.Settings.ReturnUrl = "@Request["ReturnUrl"]";
	gn_data.Settings.QrCodeImage = "@Html.Raw(Url.Action("GenerateQrCode", "GpsNose", new
	{
		// the login-id is auto-generated in the model to a random new Guid
		loginId = Model.LoginId,

		// set your web-community domain-name as needed
		community = GnLocalSettings.Community,
                      
		// you can require your users to join your web-community before logging-in
		mustJoin = false,

		// you can require your users to be activated before logging-in
		needsActivation = false, 

		// set ACLs as needed, like acls = GnMashupLoginAcl.FullName | GnMashupLoginAcl.CommunitiesNonprivate | GnMashupLoginAcl.Email
		acls = GnMashupLoginAcl.None
	}))";

</script>
