﻿
@model dynamic

@using GpsNose.SDK.Mashup
@using GpsNose.SDK.Mashup.Model
@using $rootnamespace$.Models.GpsNoseController


<div class="ma-gpsnose" data-gn-version="1.0.10">

    <div id="ma-gpsnose-85b4054b-f13e-4e72-a34c-425743691b38" class="ma-gpsnose-members" data-bind="visible:true" style="display:none;">

        <div class="btn-group btn-group-xs ma-btn-group">
            <a class="btn btn-default btn-outline-secondary" data-external data-bind="html: Entity.DisplayName(), attr: { href: Entity.DetailUrl() }"></a>
            <a class="btn btn-primary" tabindex="0" data-bind="text: GetLangRes('Common_btnJoinCommunity', 'Join community'), attr: { 'data-popover-img': gn_data.Community.QrCodeJoinImage, 'data-popover-text': GetLangRes('Common_lblScanToJoin', 'To join the community, scan this QR code using your mobile GpsNose app please'), 'data-remove': ! gn_data.Community.QrCodeJoinImage }"></a>
        </div>

        <div class="row publishers" data-bind="foreach: Members">
            <div class="grid-item col-lg-2 col-md-3 col-sm-4 col-xs-6 col-6">
                <div class="outer" data-external="true" data-bind="attr: { 'data-src': $data.NoseDto.DetailUrl() }">
                    <div class="thumbnail">
                        <img data-bind="attr: { src: $data.NoseDto.ImageUrl() + '@@200' }" onerror="this.src=window.gn_data.Settings.ImagePath+'/EmptyUser.png'" />
                        <div data-bind="if: $data.IsAdmin">
                            <img class="ma-crown" data-bind="attr: { src: window.gn_data.Settings.ImagePath + '/IcActionCrown.png'}" />
                        </div>
                        <div class="loginname">
                            <div data-bind="text: $data.LoginName"></div>
                            <div data-bind="text: GetAgeStringFromTicks($data.JoinTicks) + ''"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="text-center">

            <div class="btn btn-default btn-outline-secondary btn-lg" data-bind="click: function(){ pageMembers() }, visible: HasMoreMembers(), attr: { disabled: MembersRequestActive() }">
                <div data-bind="visible: ! MembersRequestActive()">
                    <i class="glyphicon glyphicon-cloud-download fas fa-cloud-download-alt"></i>
                    <span data-bind="text: ' ' + GetLangRes('Common_lblLoadMore', 'more..')"></span>
                </div>
                <div data-bind="visible: MembersRequestActive()">
                    <i class="glyphicon glyphicon-repeat gly-spin fas fa-redo-alt"></i>
                    <span data-bind="text: ' ' + GetLangRes('Common_lblRequestInProgress', 'Loading')"></span>
                </div>
            </div>

        </div>

        <div class="alert alert-info" data-bind="visible: Members().length == 0 && ! MembersRequestActive()">
            <i class="glyphicon glyphicon-info-sign fas fa-info-circle"></i>
            <span data-bind="text: ' ' + GetLangRes('Community_lblMembersNoEntryMessage', 'There are no members in this community currently.')"></span>
        </div>

    </div>

</div>

<script>
var MA_GPSNOSE_IS_MASHUP = true;
$(document).ready(function() {
    if (! gn_data.User) gn_data.User = {};
    var vm = new CommunityDetailViewModel(gn_data.Community, gn_data.User);
    vm.MembersPageUrl = gn_data.Settings.MembersPageUrl;
    ko.applyBindings(vm, $('#ma-gpsnose-85b4054b-f13e-4e72-a34c-425743691b38').get(0));

    // Add first Page of Members
    if (gn_data.Members) {
        vm.AddMembers(gn_data.Members);
    } else {
        vm.PageMembers();
    }
});
</script>

<script type="text/javascript">

	var gn_data = {
		"Settings" :
		{
			ImagePath: "@Html.Raw(GnLocalSettings.GnImagesPath)",
			BaseUrl: "@Html.Raw(GnPaths.HomeUrl)",
			BaseDataUrl: "@Html.Raw(GnPaths.DataUrl)",
			LoginUrl: "@Html.Raw(Url.Action("Login", "GpsNose"))"
		}	
	};

    gn_data.User = @Html.Raw(GpsNose.SDK.Framework.Json.JsonTool.QuickJson(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.GnLogin));
    gn_data.Settings.LoginId = "@(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.LoginId)";

    @{
        if (@ViewBag.CommunityJson != null)
        {
            @:gn_data.Community = @ViewBag.CommunityJson;
        }
    }

</script>


<script type="text/javascript">

	gn_data.Settings.MembersPageUrl = "@Html.Raw(Url.Action("PageMembers", "GpsNose"))";

</script>
