﻿
@model dynamic

@using GpsNose.SDK.Mashup
@using GpsNose.SDK.Mashup.Model
@using $rootnamespace$.Models.GpsNoseController


<div class="ma-gpsnose" data-gn-version="1.0.10">

    <div id="ma-gpsnose-f093be93-43a7-4e08-8702-bf62de83e012" class="ma-gpsnose-nearby-events" data-bind="visible:true" style="display:none;">

        <div class="btn-group btn-group-xs ma-btn-group">
            <a class="btn btn-default btn-outline-secondary" data-external data-bind="html: Entity.DisplayName(), attr: { href: Entity.DetailUrl() }"></a>
            <a class="btn btn-primary" tabindex="0" data-bind="text: GetLangRes('Common_btnJoinCommunity', 'Join community'), attr: { 'data-popover-img': gn_data.Community.QrCodeJoinImage, 'data-popover-text': GetLangRes('Common_lblScanToJoin', 'To join the community, scan this QR code using your mobile GpsNose app please'), 'data-remove': ! gn_data.Community.QrCodeJoinImage }"></a>
        </div>

        <div data-bind="if: ! gn_data.User.LoginName">
            <div class="alert alert-info">
                <i class="glyphicon glyphicon-info-sign fas fa-info-circle"></i>
                <span data-bind="text: ' ' + GetLangRes('Common_loginRequired', 'Please login first.')"></span>
                <button type="button" class="btn btn-info btn-xs pull-right float-right" data-bind="click: function() { document.location.href = $data.GetLoginUrl(gn_data.Settings.LoginUrl); }">
                    <i class="glyphicon glyphicon-user fas fa-user"></i>
                    <span data-bind="text: ' ' + GetLangRes('Common_btnLogin', 'Login')"></span>
                </button>
            </div>
        </div>
        <div data-bind="if: gn_data.User.LoginName">
            <div class="grid" data-bind="PageableEvents.Items().length > 0">
                <div class="events" id="eventsContainer" data-bind="foreach: PageableEvents.Items()">
                    <!-- ko if: ($index() === 0) -->
                    <div class="grid-sizer col-lg-4 col-sm-6"></div>
                    <!-- /ko -->
                    <div class="grid-item col-lg-4 col-sm-6">
                        <div data-external data-bind="attr: { 'data-src': $data.DetailUrl() }">
                            <div class="outer">
                                <div class="media mb-2">
                                    <div class="media-left mr-2">
                                        <img class="media-object img-rounded media-height" data-bind="attr: { src: $data.ImageUrl() }" onerror="ImageErrorHandler(this, window.gn_data.Settings.ImagePath+'/EmptyImage.png')" />
                                    </div>
                                    <div class="media-body">
                                        <div class="media-height">
                                            <h4 class="media-heading" data-bind="text: $data.Name"></h4>
                                            <p data-bind="text: $data.Description"></p>
                                            <p data-bind="text: $data.Address"></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xs-8 col-8" data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></div>
                                    <div class="col-xs-4 col-4 text-right" data-bind="text: GetDistanceString($data)"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="alert alert-info" data-bind="visible: PageableEvents.Items().length == 0 && ! PageableEvents.ItemsRequestActive()">
                <i class="glyphicon glyphicon-info-sign fas fa-info-circle"></i>
                <span data-bind="text: ' ' + GetLangRes('Nearby_lblNoEvents', 'Currently there are no Events around')"></span>
            </div>

            <div class="text-center">

                <div class="btn btn-default btn-outline-secondary btn-lg" data-bind="click: function(){ PageableEvents.PageItems() }, visible: PageableEvents.HasMoreItems(), attr: { disabled: PageableEvents.ItemsRequestActive() }">
                    <div data-bind="visible: ! PageableEvents.ItemsRequestActive()">
                        <i class="glyphicon glyphicon-cloud-download fas fa-cloud-download-alt"></i>
                        <span data-bind="text: ' ' + GetLangRes('Common_lblLoadMore', 'more..')"></span>
                    </div>
                    <div data-bind="visible: PageableEvents.ItemsRequestActive()">
                        <i class="glyphicon glyphicon-repeat gly-spin fas fa-redo-alt"></i>
                        <span data-bind="text: ' ' + GetLangRes('Common_lblRequestInProgress', 'Loading')"></span>
                    </div>
                </div>

            </div>
        </div>

    </div>

</div>

<script>
var MA_GPSNOSE_IS_MASHUP = true;
$(document).ready(function() {
    if (! gn_data.User) gn_data.User = {};
    var vm = new NearbyViewModel(gn_data.Community, gn_data.User);
    vm.PageableEvents.ItemPageUrl = gn_data.Settings.NearbyEventsPageUrl;
    vm.PageableEvents.OnAddItems = function() {
        $('#ma-gpsnose-f093be93-43a7-4e08-8702-bf62de83e012 .grid').imagesLoaded(function() {
            MasonryReload();
        });
    }

    ko.applyBindings(vm, $('#ma-gpsnose-f093be93-43a7-4e08-8702-bf62de83e012').get(0));

    if (gn_data.Events) {
        vm.PageableEvents.AddItems(gn_data.Events);
    } else if (gn_data.User.LoginName) {
        vm.PageableEvents.PageItems();
    }
});
</script>

<script type="text/javascript">

	var gn_data = {
		"Settings" :
		{
			ImagePath: "@Html.Raw(GnLocalSettings.GnImagesPath)",
			BaseUrl: "@Html.Raw(GnPaths.HomeUrl)",
			BaseDataUrl: "@Html.Raw(GnPaths.DataUrl)",
			LoginUrl: "@Html.Raw(Url.Action("Login", "GpsNose"))"
		}	
	};

    gn_data.User = @Html.Raw(GpsNose.SDK.Framework.Json.JsonTool.QuickJson(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.GnLogin));
    gn_data.Settings.LoginId = "@(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.LoginId)";

    @{
        if (@ViewBag.CommunityJson != null)
        {
            @:gn_data.Community = @ViewBag.CommunityJson;
        }
    }

</script>


<script type="text/javascript">

	gn_data.Settings.NearbyEventsPageSize = 51;
	gn_data.Settings.NearbyEventsPageUrl = "@Html.Raw(Url.Action("PageNearbyEvents", "GpsNose"))";

</script>
