﻿
@model dynamic

@using GpsNose.SDK.Mashup
@using GpsNose.SDK.Mashup.Model
@using $rootnamespace$.Models.GpsNoseController


<div class="ma-gpsnose" data-gn-version="1.0.10">

    <div id="ma-gpsnose-cb8a94a9-341a-4a61-8eca-a53f6223f041" class="ma-gpsnose-nearby-noses" data-bind="visible:true" style="display:none;">

        <div class="btn-group btn-group-xs ma-btn-group">
            <a class="btn btn-default btn-outline-secondary" data-external data-bind="html: Entity.DisplayName(), attr: { href: Entity.DetailUrl() }"></a>
            <a class="btn btn-primary" tabindex="0" data-bind="text: GetLangRes('Common_btnJoinCommunity', 'Join community'), attr: { 'data-popover-img': gn_data.Community.QrCodeJoinImage, 'data-popover-text': GetLangRes('Common_lblScanToJoin', 'To join the community, scan this QR code using your mobile GpsNose app please'), 'data-remove': ! gn_data.Community.QrCodeJoinImage }"></a>
        </div>

        <div data-bind="if: ! gn_data.User.LoginName">
            <div class="alert alert-info">
                <i class="glyphicon glyphicon-info-sign fas fa-info-circle"></i>
                <span data-bind="text: ' ' + GetLangRes('Common_loginRequired', 'Please login first.')"></span>
                <button type="button" class="btn btn-info btn-xs pull-right float-right" data-bind="click: function() { document.location.href = $data.GetLoginUrl(gn_data.Settings.LoginUrl); }">
                    <i class="glyphicon glyphicon-user fas fa-user"></i>
                    <span data-bind="text: ' ' + GetLangRes('Common_btnLogin', 'Login')"></span>
                </button>
            </div>
        </div>
        <div data-bind="if: gn_data.User.LoginName">
            <div class="row publishers" data-bind="foreach: PageableNoses.Items">
                <div class="grid-item col-lg-2 col-md-3 col-sm-4 col-xs-6 col-6">
                    <div class="outer" data-external="true" data-bind="attr: { 'data-src': $data.DetailUrl() }">
                        <div class="thumbnail">
                            <img data-bind="attr: { src: $data.ImageUrl() + '@@200' }" onerror="this.src=window.gn_data.Settings.ImagePath+'/EmptyUser.png'" />
                            <div data-bind="if: $data.IsAdmin">
                                <img class="ma-crown" data-bind="attr: { src: window.gn_data.Settings.ImagePath + '/IcActionCrown.png'}" />
                            </div>
                            <div class="loginname">
                                <div data-bind="text: $data.LoginName"></div>
                                <div class="row">
                                    <div class="col-xs-8 col-8 text-left" data-bind="text: GetAgeStringFromTicks($data.CreationTicks)"></div>
                                    <div class="col-xs-4 col-4 text-right" data-bind="text: GetDistanceString($data)"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="alert alert-info" data-bind="visible: PageableNoses.Items().length == 0 && ! PageableNoses.ItemsRequestActive()">
                <i class="glyphicon glyphicon-info-sign fas fa-info-circle"></i>
                <span data-bind="text: ' ' + GetLangRes('Nearby_lblNoNoses', 'Currently there are no other Noses around')"></span>
            </div>

            <div class="text-center">

                <div class="btn btn-default btn-outline-secondary btn-lg" data-bind="click: function(){ PageableNoses.PageItems() }, visible: PageableNoses.HasMoreItems(), attr: { disabled: PageableNoses.ItemsRequestActive() }">
                    <div data-bind="visible: ! PageableNoses.ItemsRequestActive()">
                        <i class="glyphicon glyphicon-cloud-download fas fa-cloud-download-alt"></i>
                        <span data-bind="text: ' ' + GetLangRes('Common_lblLoadMore', 'more..')"></span>
                    </div>
                    <div data-bind="visible: PageableNoses.ItemsRequestActive()">
                        <i class="glyphicon glyphicon-repeat gly-spin fas fa-redo-alt"></i>
                        <span data-bind="text: ' ' + GetLangRes('Common_lblRequestInProgress', 'Loading')"></span>
                    </div>
                </div>

            </div>
        </div>

    </div>

</div>

<script>
var MA_GPSNOSE_IS_MASHUP = true;
$(document).ready(function() {
    if (! gn_data.User) gn_data.User = {};
    var vm = new NearbyViewModel(gn_data.Community, gn_data.User);
    vm.PageableNoses.ItemPageUrl = gn_data.Settings.NearbyNosesPageUrl;
    ko.applyBindings(vm, $('#ma-gpsnose-cb8a94a9-341a-4a61-8eca-a53f6223f041').get(0));

    if (gn_data.Noses) {
        vm.PageableNoses.AddItems(gn_data.Noses);
    } else if (gn_data.User.LoginName) {
        vm.PageableNoses.PageItems();
    }
});
</script>

<script type="text/javascript">

	var gn_data = {
		"Settings" :
		{
			ImagePath: "@Html.Raw(GnLocalSettings.GnImagesPath)",
			BaseUrl: "@Html.Raw(GnPaths.HomeUrl)",
			BaseDataUrl: "@Html.Raw(GnPaths.DataUrl)",
			LoginUrl: "@Html.Raw(Url.Action("Login", "GpsNose"))"
		}	
	};

    gn_data.User = @Html.Raw(GpsNose.SDK.Framework.Json.JsonTool.QuickJson(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.GnLogin));
    gn_data.Settings.LoginId = "@(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.LoginId)";

    @{
        if (@ViewBag.CommunityJson != null)
        {
            @:gn_data.Community = @ViewBag.CommunityJson;
        }
    }

</script>


<script type="text/javascript">

	gn_data.Settings.NearbyNosesPageSize = 51;
	gn_data.Settings.NearbyNosesPageUrl = "@Html.Raw(Url.Action("PageNearbyNoses", "GpsNose"))";

</script>
