﻿
@model dynamic

@using GpsNose.SDK.Mashup
@using GpsNose.SDK.Mashup.Model
@using $rootnamespace$.Models.GpsNoseController


<div class="ma-gpsnose" data-gn-version="1.0.10">

    <div id="ma-gpsnose-3b379855-547e-4bbc-a06a-6339b9946eb2" class="ma-gpsnose-news" data-bind="visible:true" style="display: none;">

        <div class="btn-group btn-group-xs ma-btn-group" data-bind="attr: { 'data-remove': ! CommunityEntity.TagName }">
            <a class="btn btn-default btn-outline-secondary" data-external role="button" data-bind="html: CommunityEntity.DisplayName(), attr: { href: CommunityEntity.DetailUrl() }"></a>
            <a class="btn btn-primary" tabindex="0" role="button" data-bind="text: GetLangRes('Common_btnJoinCommunity', 'Join community'), attr: { 'data-popover-img': gn_data.Community.QrCodeJoinImage, 'data-popover-text': GetLangRes('Common_lblScanToJoin', 'To join the community, scan this QR code using your mobile GpsNose app please'), 'data-remove': ! gn_data.Community.QrCodeJoinImage }"></a>
        </div>

        <div id="newsContainer" class="row grid" data-bind="foreach: News()">
            <!-- ko if: ($index() === 0) -->
            <div class="grid-sizer col-lg-3 col-md-4 col-sm-6"></div>
            <!-- /ko -->
            <div class="grid-item col-lg-3 col-md-4 col-sm-6" data-bind="template: { name: TemplateName() }"></div>
        </div>
        <div class="text-center">
            <div class="btn btn-default btn-outline-secondary btn-lg" role="button"
                data-bind="click: function(){ PageNews() }, visible: HasMoreNews(), attr: { disabled: NewsRequestActive() }">
                <div data-bind="visible: ! NewsRequestActive()">
                    <i class="glyphicon glyphicon-cloud-download fas fa-cloud-download-alt"></i>
                    <span data-bind="text: ' ' + GetLangRes('Common_lblLoadMore', 'more..')"></span>
                </div>
                <div data-bind="visible: NewsRequestActive()">
                    <i class="glyphicon glyphicon-repeat gly-spin fas fa-redo-alt"></i>
                    <span data-bind="text: ' ' + GetLangRes('Common_lblRequestInProgress', 'Loading')"></span>
                </div>
            </div>
        </div>

        <div class="alert alert-info" data-bind="visible: News().length == 0 && ! NewsRequestActive()">
            <i class="glyphicon glyphicon-info-sign fas fa-info-circle"></i>
            <span data-bind="text: ' ' + GetLangRes('Home_Index_lblNoNews', 'There are currently no such news in your area.')"></span>
        </div>

    </div>

</div>

<script>
var MA_GPSNOSE_IS_MASHUP = true;
$(document).ready(function() {
    if (! gn_data.User) gn_data.User = {};
    var vm = new IndexViewModel();
    vm.NewsPageUrl = gn_data.Settings.NewsPageUrl;
    if (gn_data.Community && gn_data.Community.TagName) vm.CommunityTag(gn_data.Community.TagName);
    vm.OnAddNews = function() {
        $('#ma-gpsnose-3b379855-547e-4bbc-a06a-6339b9946eb2 .grid img:not([data-lazy-img])').imagesLoaded(function() {
            MasonryReload();
        });
    }

    ko.applyBindings(vm, $('#ma-gpsnose-3b379855-547e-4bbc-a06a-6339b9946eb2').get(0));

    // Add first Page of News
    if (gn_data.News) {
        vm.AddNews(gn_data.News);
    } else {
        vm.PageNews();
    }
});
</script>

<script type="text/html" id="UnknownTemplate">
    <div class="UnknownNews" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body">
                <div class="panel-bottom">
                    <div class="text-center">
                        <span data-bind="text: GetLangRes('Home_Index_lblUnknownNews', 'Unknown news')"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/html" id="AboutNewsTemplate">
    <div class="AboutNews" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body" data-external data-bind="attr: { 'data-src': $data.DetailUrl(), disabled: $data.IsNowDeleted }">
                <div class="media mb-2">
                    <div class="media-left mr-2">
                        <img class="media-object img-circle rounded-circle media-height" data-bind="attr: { src: $data.ThumbUrl() }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyUser.png')" />
                    </div>
                    <div class="media-body">
                        <div>
                            <h4 class="media-heading" data-bind="text: $data.Title"></h4>
                            <p data-bind="text: $data.Description"></p>
                        </div>
                    </div>
                </div>
                <div class="panel-bottom">
                    <div class="text-center">
                        <span data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/html" id="ProfileImageNewsTemplate">
    <div class="ProfileImageNews" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body" data-external data-bind="attr: { 'data-src': $data.DetailUrl(), disabled: $data.IsNowDeleted }">
                <img class="image" data-bind="attr: { src: ThumbUrl() }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyUser.png')" />
                <p data-bind="text: $data.Description"></p>
                <div class="panel-bottom">
                    <div class="text-center">
                        <span data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/html" id="NewGuestUserNewsTemplate">
    <div class="NewGuestUserNews" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body" data-external data-bind="attr: { 'data-src': $data.DetailUrl(), disabled: $data.IsNowDeleted }">
                <div class="media mb-2">
                    <div class="media-left mr-2">
                        <img class="media-object img-circle rounded-circle media-height" data-bind="attr: { src: $data.ThumbUrl() }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyUser.png')" />
                    </div>
                    <div class="media-body">
                        <div>
                            <h4 class="media-heading" data-bind="text: $data.Title"></h4>
                            <p data-bind="text: $data.Description"></p>
                        </div>
                    </div>
                </div>
                <div class="panel-bottom">
                    <div class="text-center">
                        <span data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/html" id="ProfileActivatedTemplate">
    <div class="ProfileActivated" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body" data-external data-bind="attr: { 'data-src': $data.DetailUrl(), disabled: $data.IsNowDeleted }">
                <div class="media mb-2">
                    <div class="media-left mr-2">
                        <img class="media-object img-circle rounded-circle media-height" data-bind="attr: { src: $data.ThumbUrl() }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyUser.png')" />
                    </div>
                    <div class="media-body">
                        <div>
                            <h4 class="media-heading" data-bind="text: $data.Title"></h4>
                            <p data-bind="text: $data.Description"></p>
                        </div>
                    </div>
                    <div class="panel-bottom">
                        <div class="text-center">
                            <span data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/html" id="PhotoBlogNewsTemplate">
    <div class="PhotoBlogNews" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body" data-external data-bind="attr: { 'data-src': $data.DetailUrl(), disabled: $data.IsNowDeleted }">
                <div class="media mb-2">
                    <img class="image" data-bind="attr: { src: $data.ThumbUrl() }" onerror="this.style.display='none'" />
                </div>
                <div class="media mb-2">
                    <div class="media-body" data-bind="text: $data.Impression_Text"></div>
                    <div class="media-right">
                        <div class="media-object" data-bind="text: $data.Impression_Mood"></div>
                    </div>
                </div>
                <div class="media mb-2">
                    <div class="media-body">
                        <div class="text-right">
                            <span class="middle" data-bind="text: NoseDto.LoginName"></span>
                            <img class="img-circle rounded-circle" width="32" data-bind="attr: { src: NoseDto.ImageUrl() }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyUser.png')" />
                        </div>
                    </div>
                </div>
                <div class="panel-bottom">
                    <div class="text-center">
                        <span data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/html" id="PoIPublishedNewsTemplate">
    <div class="PoIPublishedNews" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body" data-external data-bind="attr: { 'data-src': $data.DetailUrl(), disabled: $data.IsNowDeleted }">
                <div class="media mb-2">
                    <div class="media-left mr-2">
                        <img class="media-object img-rounded rounded media-height" data-bind="attr: { src: ThumbUrl() }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyImage.png')" />
                    </div>
                    <div class="media-body">
                        <div class="media-height">
                            <h4 class="media-heading" data-bind="text: $data.Title"></h4>
                            <p data-bind="text: $data.Description"></p>
                        </div>
                    </div>
                </div>
                <div class="panel-bottom">
                    <div class="text-center">
                        <span data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/html" id="TourNewsTemplate">
    <div class="TourNews" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body" data-external data-bind="attr: { 'data-src': $data.DetailUrl(), disabled: $data.IsNowDeleted }">
                <div class="media mb-2">
                    <div class="media-left mr-2">
                        <img class="media-object img-rounded rounded media-height" data-bind="attr: { src: gn_data.Settings.ImagePath+'/EmptyTour' + $data.Track_TrackType + '.png' }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyMap.png')" />
                    </div>
                    <div class="media-body">
                        <div class="media-height">
                            <h4 class="media-heading" data-bind="text: $data.Title"></h4>
                            <p data-bind="text: $data.Description"></p>
                        </div>
                    </div>
                </div>
                <div class="panel-bottom">
                    <div class="text-center">
                        <span data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/html" id="EventNewsTemplate">
    <div class="AboutNews" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body" data-external data-bind="attr: { 'data-src': $data.DetailUrl(), disabled: $data.IsNowDeleted }">
                <div class="media mb-2">
                    <div class="media-left mr-2">
                        <img class="media-object img-rounded rounded media-height" data-bind="attr: { src: $data.ThumbUrl() }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyImage.png')" />
                    </div>
                    <div class="media-body">
                        <div>
                            <h4 class="media-heading" data-bind="text: $data.Title"></h4>
                            <p data-bind="text: $data.Description"></p>
                            <p data-bind="text: $data.Event_LocationAddress"></p>
                        </div>
                    </div>
                </div>
                <div class="panel-bottom">
                    <div class="text-center">
                        <span data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/html" id="CommentNewsTemplate">
    <div class="CommentNews" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body" data-external data-bind="attr: { 'data-src': $data.DetailUrl() }">
                <div>
                    <div class="comment-image-container clearfix">
                        <div data-bind="if: Comment_CommentItemType == 'Tour'">
                            <img class="img-rounded comment-image-right" data-bind="attr: { src: gn_data.Settings.ImagePath+'/EmptyMap.png' }" />
                        </div>
                        <div data-bind="if: Comment_CommentItemType != 'Tour'">
                            <img class="img-rounded comment-image-right" data-bind="attr: { src: $data.ThumbUrl() }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyImage.png')" />
                        </div>
                        <img class="img-rounded comment-image-left" data-bind="attr: { src: NoseDto.ImageUrl() + '@@100' }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyUser.png')" />
                    </div>
                    <p class="text" data-bind="text: CommentText()"></p>
                </div>
                <div class="panel-bottom">
                    <div class="text-center">
                        <span data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/html" id="RatingNewsTemplate">
    <div class="RatingNews" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body" data-external data-bind="attr: { src: ThumbUrl(), 'data-src': $data.DetailUrl() }">
                <div>
                    <div class="comment-image-container clearfix">
                        <div data-bind="if: Comment_CommentItemType == 'Tour'">
                            <img class="img-rounded comment-image-right" data-bind="attr: { src: gn_data.Settings.ImagePath+'/EmptyMap.png' }" />
                        </div>
                        <div data-bind="if: Comment_CommentItemType != 'Tour'">
                            <img class="img-rounded comment-image-right" data-bind="attr: { src: $data.ThumbUrl() }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyImage.png')" />
                        </div>
                        <img class="img-rounded comment-image-left" data-bind="attr: { src: NoseDto.ImageUrl() + '@@100' }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyUser.png')" />
                    </div>
                    <div class="rating-stars-container">
                        <ma-gpsnose-rating params="percent: $data.Rating_Percent, count: -1, imagePath: gn_data.Settings.ImagePath"></ma-gpsnose-rating>
                    </div>
                    <p class="text" data-bind="text: $data.Description"></p>
                </div>
                <div class="panel-bottom">
                    <div class="text-center">
                        <span data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/html" id="MashupNewsTemplate">
    <div class="MashupNews" data-bind="visible:!$data.IsNowDeleted, if:!$data.IsNowDeleted">
        <div class="panel panel-default card">
            <div class="panel-body card-body" data-external data-bind="attr: { 'data-src': $data.DetailUrl(), disabled:$data.IsNowDeleted }">
                <div class="media mb-2">
                    <div class="media-left mr-2">
                        <img class="media-object img-rounded rounded media-height" data-bind="attr: { src: $data.ThumbUrl() }" onerror="ImageErrorHandler(this, gn_data.Settings.ImagePath+'/EmptyImage.png')" />
                    </div>
                    <div class="media-body">
                        <div class="media-height">
                            <h4 class="media-heading" data-bind="text: $data.Title"></h4>
                            <p data-bind="text: $data.Description"></p>
                        </div>
                    </div>
                </div>
                <div class="panel-bottom">
                    <div class="text-center">
                        <span data-bind="text: GetDateStringFromTicks($data.CreationTicks)"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<script type="text/javascript">

	var gn_data = {
		"Settings" :
		{
			ImagePath: "@Html.Raw(GnLocalSettings.GnImagesPath)",
			BaseUrl: "@Html.Raw(GnPaths.HomeUrl)",
			BaseDataUrl: "@Html.Raw(GnPaths.DataUrl)",
			LoginUrl: "@Html.Raw(Url.Action("Login", "GpsNose"))"
		}	
	};

    gn_data.User = @Html.Raw(GpsNose.SDK.Framework.Json.JsonTool.QuickJson(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.GnLogin));
    gn_data.Settings.LoginId = "@(GpsNose.SDK.Web.NetFramework.Login.GnAuthentication.CurrentUser?.LoginId)";

    @{
        if (@ViewBag.CommunityJson != null)
        {
            @:gn_data.Community = @ViewBag.CommunityJson;
        }
    }

</script>


<script type="text/javascript">

	gn_data.Settings.NewsPageUrl = "@Html.Raw(Url.Action("PageNews", "GpsNose"))";

</script>
